For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The User object
          • GET/users
          • GET/users/{id}
          • POST/users/ignore/{model_id}
          • GET/users/remote-field-classes

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsUsers

/users/{id}

GET
/crm/v1/users/:id
GET
/api/crm/v1/users/:id
$curl https://api.merge.dev/api/crm/v1/users/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "0358cbc6-2040-430a-848e-aafacbadf3aa",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Gil Feig",
7 "email": "[email protected]",
8 "is_active": true,
9 "user_url": "https://crm.example.com/users/19202938",
10 "remote_was_deleted": true,
11 "field_mappings": {
12 "organization_defined_targets": {
13 "custom_key": "custom_value"
14 },
15 "linked_account_defined_targets": {
16 "custom_key": "custom_value"
17 }
18 },
19 "remote_data": [
20 {
21 "path": "/users",
22 "data": null
23 }
24 ],
25 "remote_fields": [
26 {
27 "remote_field_class": {
28 "id": "string",
29 "display_name": "string",
30 "remote_key_name": "string",
31 "description": "string",
32 "is_custom": true,
33 "is_common_model_field": true,
34 "is_required": true,
35 "field_type": "string",
36 "field_format": "string",
37 "field_choices": [
38 "string"
39 ],
40 "item_schema": {
41 "item_type": "string",
42 "item_format": "string",
43 "item_choices": [
44 "string"
45 ]
46 }
47 },
48 "value": "string"
49 }
50 ]
51}

Returns a User object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/users

Next

/users/ignore/{model_id}

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The user's name.
emailstring or null
The user's email address.
is_activeboolean or null
Whether or not the user is active.
user_urlstring or nullformat: "uri"<=2000 characters
The user's URL in the remote system.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only